<div class="relative bg-white rounded-lg w-full max-w-[340px]">
    <div
        [className]="'border p-3 py-2 rounded-lg flex flex-row justify-between items-center gap-2 ' + (isError ? 'border-[#F73131]' : 'border-[#DADADA]')"
        [style]="maxLength != null ? 'height: 60px' : ''"
        [formGroup]="guestForm"
    >
        @if (type === 'password') {
            <input
                [type]="showPassword ? 'text' : 'password'"
                [formControlName]="formControlName"
                spellCheck="false"
                [placeholder]="placeholder"
                [className]="'relative w-full text-base border-0 bg-transparent focus:outline-none form-control ' + (isError ? 'text-[#FE0000]' : 'text-black')"
            />
            <lucide-icon [name]="showPassword ? 'eye' : 'eye-off'" class="cursor-pointer" (click)="toggleShowPassword()" />
        } @else {
            <input
                [type]="type"
                [formControlName]="formControlName"
                spellCheck="false"
                [maxLength]="maxLength ? maxLength : 200"
                [placeholder]="placeholder"
                [className]="'relative w-full text-base border-0 bg-transparent focus:outline-none form-control ' + (isError ? 'text-[#FE0000]' : 'text-black')"
            />
            @if (maxLength != null) {
                <div class="absolute bottom-2.5 right-[18px] text-slate-400 text-xs">
                    {{ guestForm.value[formControlName].length }}/{{ maxLength }}
                </div>
            }
        }
    </div>
</div>